# Changelog

All notable changes to this project will be documented in this file.

## [22.4.0] - 2022-07-22

## Added
* -optimize option "cleanup-sequences" [7e2be3138](https://github.com/greenbone/gvmd/commit/7e2be3138)
* Added the appliance_status response field to the get_license command [c9affb52e](https://github.com/greenbone/gvmd/commit/c9affb52e)
* package_unreliable QOD type translation [85f16f208](https://github.com/greenbone/gvmd/commit/85f16f208)
* package_unreliable QOD type translation [3f438ce22](https://github.com/greenbone/gvmd/commit/3f438ce22)
* Backtrace output when a sigsegv occurs. [8b30cd77f](https://github.com/greenbone/gvmd/commit/8b30cd77f)
* Log failing xsltproc calls as warning #1756 [ef9b4228d](https://github.com/greenbone/gvmd/commit/ef9b4228d)
* -broker-address command line option [ee6123207](https://github.com/greenbone/gvmd/commit/ee6123207)
* -rebuild-gvmd-data to man page [d7a779b8a](https://github.com/greenbone/gvmd/commit/d7a779b8a)
* -optimize add-/cleanup-feed-permissions [9e97c38d4](https://github.com/greenbone/gvmd/commit/9e97c38d4)
* -feed-lock-timeout option [a932f70fb](https://github.com/greenbone/gvmd/commit/a932f70fb)
* -ldap-debug option [b22171baf](https://github.com/greenbone/gvmd/commit/b22171baf)
* Send the script timeout to the scanner as script preferences [#1670](https://github.com/greenbone/gvmd/pull/1670)
* get_license and modify_license [#1642](https://github.com/greenbone/gvmd/pull/1642), [#1692](https://github.com/greenbone/gvmd/pull/1692), [#1696](https://github.com/greenbone/gvmd/pull/1696)
* basic Sentry integration and logging [#1550](https://github.com/greenbone/gvmd/pull/1550)
* new modification_time column for reports [#1513](https://github.com/greenbone/gvmd/pull/1513), [#1519](https://github.com/greenbone/gvmd/pull/1519), [#1590](https://github.com/greenbone/gvmd/pull/1590)

## Changed
* Allow overriding LOG_CMD for sync script [683b7e1a8](https://github.com/greenbone/gvmd/commit/683b7e1a8)
* Don't create runtime directory with make install #1824 [198c356e3](https://github.com/greenbone/gvmd/commit/198c356e3)
* Automatically update pg-gvm in check_db_extensions [4fbc79395](https://github.com/greenbone/gvmd/commit/4fbc79395)
* Remove EnvironmentFile from gvmd.service file [f2228a320](https://github.com/greenbone/gvmd/commit/f2228a320)
* Use $TMPACCESSKEY when syncing enterprise feed [b3f4c4bf4](https://github.com/greenbone/gvmd/commit/b3f4c4bf4)
* Standardize rsync options [f6c9b66d9](https://github.com/greenbone/gvmd/commit/f6c9b66d9)
* Disable table_driven_lsc in policies [9b15dc865](https://github.com/greenbone/gvmd/commit/9b15dc865)
* Get NVT feed info via OSP [692e21c2a](https://github.com/greenbone/gvmd/commit/692e21c2a)
* Update GVMD_FEED_DIR to /var/lib/gvm/data-objects/gvmd/22.04 [6aa4b2e7a](https://github.com/greenbone/gvmd/commit/6aa4b2e7a)
* Load data objects from new feed paths [51716c88f](https://github.com/greenbone/gvmd/commit/51716c88f)
* Use new feed dir structure in sync scripts [0a769ec3c](https://github.com/greenbone/gvmd/commit/0a769ec3c)
* Improve log message for getting the feed version [0fdb01814](https://github.com/greenbone/gvmd/commit/0fdb01814)
* Improve init_preference_iterator SQL query performance [5a5cbb945](https://github.com/greenbone/gvmd/commit/5a5cbb945)
* Change some migration and OSP warnings to info [b3cced2bc](https://github.com/greenbone/gvmd/commit/b3cced2bc)
* Use GVMD_RUN_DIR instead of GVM_RUN_DIR [e53ae5731](https://github.com/greenbone/gvmd/commit/e53ae5731)
* Use full path GVMD_PID_PATH for PID files [3fea5a9f4](https://github.com/greenbone/gvmd/commit/3fea5a9f4)
* Raise required gvm-libs version to 21.10 [299946bdf](https://github.com/greenbone/gvmd/commit/299946bdf)
* Replace blocking table locks with a non-blocking retry loop [44a054ad3](https://github.com/greenbone/gvmd/commit/44a054ad3)
* Rename the date column of reports to creation_time [#1520](https://github.com/greenbone/gvmd/pull/1520)
* Change report timestamp filter and iterator columns [#1512](https://github.com/greenbone/gvmd/pull/1512)
* Use pg-gvm extension for C PostgreSQL functions [#1400](https://github.com/greenbone/gvmd/pull/1400), [#1453](https://github.com/greenbone/gvmd/pull/1453)

## Bug Fixes
* Return the correct error message, when wrong severity input is send to overrides (#1843) [1a96ac530](https://github.com/greenbone/gvmd/commit/1a96ac530)
* Fix logging in sync script if no syslog is available [a726dfdf1](https://github.com/greenbone/gvmd/commit/a726dfdf1)
* Use g_memdup2 instead of the deprecated g_memdup [4ad2491fd](https://github.com/greenbone/gvmd/commit/4ad2491fd)
* Fix handling of SSH keys in modify_credential [7b16d2e6f](https://github.com/greenbone/gvmd/commit/7b16d2e6f)
* Trigger libtheia container build (#1817) [26bc13aa7](https://github.com/greenbone/gvmd/commit/26bc13aa7)
* Fix iCal next time calculation, use new SQL func [aa4f9a925](https://github.com/greenbone/gvmd/commit/aa4f9a925)
* Fix GMP doc for get_assets command [006c130be](https://github.com/greenbone/gvmd/commit/006c130be)
* task status overwrite when a task is stopped and quickly restarted (not resumed) #1779 [a34fa7050](https://github.com/greenbone/gvmd/commit/a34fa7050)
* Avoid closing manager socket FDs twice [12c700331](https://github.com/greenbone/gvmd/commit/12c700331)
* Initialize roles with NULL [705ce8a51](https://github.com/greenbone/gvmd/commit/705ce8a51)
* Test if location is null in cve_scan_host to prevent an assertion error [d979e4580](https://github.com/greenbone/gvmd/commit/d979e4580)
* -dump-vt-verification error message [ca30e3856](https://github.com/greenbone/gvmd/commit/ca30e3856)
* Update subject alternative name in certificate generation [#1503](https://github.com/greenbone/gvmd/pull/1503)
* Fix migration to DB version 242 from gvmd 20.08 [#1498](https://github.com/greenbone/gvmd/pull/1498)
* Improve VT version handling for CVE & OVAL results [#1496](https://github.com/greenbone/gvmd/pull/1496)

## Refactor
* move from gvm-lib proctitle-set to libbsd setproctitle [98b537078](https://github.com/greenbone/gvmd/commit/98b537078)
* add lib version [85a1000f4](https://github.com/greenbone/gvmd/commit/85a1000f4)
* switch from tab to space [0016553a0](https://github.com/greenbone/gvmd/commit/0016553a0)
* Add libbsd to docker images [95f182dd2](https://github.com/greenbone/gvmd/commit/95f182dd2)

### Removed
* Remove Network Source Interface from gvmd [#1511](https://github.com/greenbone/gvmd/pull/1511)
* Removed OVAL definitions from gvmd [#1525](https://github.com/greenbone/gvmd/pull/1525)
* Removed OVAL definitions from GMP and gvmd documentation [1551](https://github.com/greenbone/gvmd/pull/1551)
* Removed the Business Process Map from gvmd [1627](https://github.com/greenbone/gvmd/pull/1627)
* Removed ifaces element from users [#1676](https://github.com/greenbone/gvmd/pull/1676)
* Removed OSP scanners from gvmd [#1689](https://github.com/greenbone/gvmd/pull/1689) [#1691](https://github.com/greenbone/gvmd/pull/1691) [#1694](https://github.com/greenbone/gvmd/pull/1694) [#1701](https://github.com/greenbone/gvmd/pull/1701)

[22.4.0]: https://github.com/greenbone/gvmd/compare/v21.4.5...v22.4.0
